Legacy CHEESE API
Search One Molecule
Search by a single molecule based on various criteria.
This endpoint allows users to search by a single molecule while choosing from several search types and additinal search parameters. . Multiple databases can be specified for the search.
Limitations:
- this endpoint is limited to retrieve 100 molecules. For more use the /jobs endpoints.
- this endpoint allows you to use max two databases. For more use the /jobs endpoints.
Parameters:
- search_input (str): The input molecule to search for (default is "CC(=O)Oc1ccccc1C(=O)O").
- search_type (SearchTypes): The type of search to perform (default is "morgan").
- search_quality (SearchQuality): The quality of the search (default is "fast").
- db_names (List[DatabaseEnum]): The databases to use for the search.
- n_neighbors (int): The number of neighbors to consider (default is 30).
- descriptors (bool): Whether to include molecular descriptors in the results (default is True).
- properties (bool): Whether to include molecular properties in the results (default is True).
- filter_molecules (bool): Whether to filter molecules based on specific criteria (default is False).
- order_molecules (bool): Whether to order molecules based on specific criteria (default is False).
- filtering (FilteringEnum): Filters such as Lipinsky, QED, PAINS, Substructure, Superstructure... (default is No Solvents filter)
- ordering (OrderingEnum): Orderings such as Similarity, Morgan Tanimoto, Shapesim Dissimilarity, Espsim Dissimilarity... (defailt is Similarity)
Returns:
- A dictionary with list of retrieved molecules, list of molecule ids, and list of origin DBs for each molecule.
Authorization
APIKeyHeader X-API-Key<token>
In: header
Query Parameters
search_input?Search Input
Default
"CC(=O)Oc1ccccc1C(=O)O"search_type?array<>
The type of search to perform
Default
[ "espsim_shape"]search_quality?SearchQuality
Speed/Accuracy Tradeoff
Default
"fast"Value in
- "fast"
- "accurate"
- "very_accurate"
- "100"
- "1000"
- "10000"
db_names?array<>
Selected Databases
Default
[ "CHEMINFINITA-SYNTHON"]n_neighbors?N Neighbors
Default
30descriptors?Descriptors
Default
trueproperties?Properties
Default
truefilter_molecules?Filter Molecules
Default
falseorder_molecules?Order Molecules
Default
truefiltering?array<>
Selected Filters
Default
[ "No solvents"]ordering?array<>
Selected Ordering
Default
[ "Similarity"]Response Body
application/json
application/json
curl -X GET "https://example.com/molsearch"null